Skip to main content
GET
/
v1
/
workflow-runs
/
{workflowRunID}
/
compare
/
{otherRunID}
Compare two workflow runs
curl --request GET \
  --url https://api.strait.dev/v1/workflow-runs/{workflowRunID}/compare/{otherRunID} \
  --header 'Authorization: Bearer <token>'
{
  "run_a": "<string>",
  "run_b": "<string>",
  "step_diffs": [
    {
      "duration_ms_a": 123,
      "duration_ms_b": 123,
      "step_ref": "<string>",
      "only_in_a": true,
      "only_in_b": true,
      "status_diff": {
        "a": "<string>",
        "b": "<string>"
      }
    }
  ],
  "$schema": "<string>",
  "status_diff": {
    "a": "<string>",
    "b": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

workflowRunID
string
required
otherRunID
string
required

Response

OK

run_a
string
required
run_b
string
required
step_diffs
object[] | null
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/RunComparison.json"

status_diff
object